Skip to main content
GET
/
notification-feed
Query feed with filters and cursor pagination
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/campaigns/notification-feed \
  --header 'apikey: <api-key>' \
  --header 'appid: <appid>'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/campaigns/notification-feed"

headers = {
"appid": "<appid>",
"apikey": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {appid: '<appid>', apikey: '<api-key>'}};

fetch('https://{appId}.api-{region}.cometchat.io/v3/campaigns/notification-feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

apikey
string
header
required

Your CometChat REST API Key.

Headers

onbehalfof
string

UID of user making client request

appid
string
required

Tenant application ID

Query Parameters

readState
enum<string>

Filter by read state

Available options:
read,
unread,
all
dateFrom
number

Start date filter (unix timestamp in seconds)

dateTo
number

End date filter (unix timestamp in seconds)

tags
string

Comma-separated tags to filter by

tagMatch
enum<string>

Tag matching strategy: 'any' (OR) or 'all' (AND)

Available options:
any,
all
templateCategory
string

Filter by templateCategory (per-app TemplateCategory.name)

channelId
string

Filter by in-app channel instance ID

includeDeleted
boolean
default:false

Include soft-deleted feed items

includeExpired
boolean
default:false

Include expired feed items

sentAt
number

Cursor: sentAt unix timestamp of last item from previous page

id
string

Cursor: id of last item from previous page

affix
enum<string>

Cursor direction

Available options:
append,
prepend
limit
number
default:20

Number of items per page

Required range: 1 <= x <= 100
sort
enum<string>

Field to sort by

Available options:
sentAt,
createdAt
order
enum<string>

Sort direction

Available options:
asc,
desc
receiver
string

Admin-only: scope to a specific user. Ignored when onbehalfof is present.

templateOnly
string

Pass "true" to opt out of server-side rendering. Default: false (server renders and returns content per item).

Response

200 - undefined